/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>

#define CARRIAGE_RETURN 0x0D
#define CONTROL_Z 0x1A


uint8 AT1[3] = {'A','T',0x0D};  /*  Command: AT 'Carriage Return' */
uint8 CMGF1[10] = {'A','T','+','C','M','G','F','=','1',0x0D}; /*  Command: AT+CMGF=1 'Carriage Return'  */
uint8 CMGS1[21] = {'A','T','+','C','M','G','S','=','"','9','9','6','0','5','4','8','8','5','2','"',0x0D}; /*  Command: AT+CMGS="xxxxxxxxxx" 'Carriage Return'. Here xxxxxxxxxx refers to the 10-digit phone number  */
uint8 MESSAGE1[24] = {'V','A','I','J','U',' ',' ',' ','S','E','N','T',' ','F','R','O','M',' ','M','O','D','E','M',0x1A};  /*  "MESSAGE SENT FROM MODEM" '^Z'. This is the message sent  */



void main()
{
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
	uint8 i;
	//UART_1_Start();
	UART_1_Start();

  // CYGlobalIntEnable;  /* Uncomment this line to enable global interrupts. */
	
	//LCD_Char_1_Position(0,0);
	//LCD_Char_1_PrintString("start ");
	

	for(i=0;i<3;i++)
	{
		UART_1_PutChar(AT1[i]);
	}

	
	for(i=0;i<10;i++)
	{
		UART_1_PutChar(CMGF1[i]);
	}

	
	for(i=0;i<21;i++)
	{
		UART_1_PutChar(CMGS1[i]);
	}
	
	for(i=0;i<24;i++)
	{
		UART_1_PutChar(MESSAGE1[i]);
	}

	
	
    for(;;)
    {
        CyDelay(500);
        /* Place your application code here. */
    }
}

/* [] END OF FILE */
